メインコンテンツへスキップ
POST
/
cms
/
v3
/
pages
/
landing-pages
/
schedule
ランディングページの公開をスケジュール
curl --request POST \
  --url https://api.hubapi.com/cms/v3/pages/landing-pages/schedule \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "publishDate": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.hubapi.com/cms/v3/pages/landing-pages/schedule"

payload = {
"id": "<string>",
"publishDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', publishDate: '2023-11-07T05:31:56Z'})
};

fetch('https://api.hubapi.com/cms/v3/pages/landing-pages/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json

Request body object for scheduling the publish of content

id
string
必須

スケジュールされるオブジェクトのID。

publishDate
string<date-time>
必須

オブジェクトがスケジュール済みから公開済みに移行する日付。

レスポンス

最終更新日 2026年4月10日